function formatUnit(count) {
    if (count >= 100000000) {
        return (count / 100000000).toFixed(2) + "亿+";
    } else if (count >= 10000) {
        return (count / 10000).toFixed(2) + "万+";
    } else {
        return count;
    }
}

class PersonalFeeds {   //quickjs 不支持export、default关键字

    static mapEmpty(resp) {
        return "{}"
    }


    static onOpenProductItem(data) {
        let params = {
            url: 'yz://product-detail',
            data: data
        };
        callNative("router", "navigateTo", JSON.stringify(params), null)
    }


    //from home page
    static mapFeedItemsToModel(resp) {
        let items = [];
        if (resp.ItemList) {
            resp.ItemList.forEach(item => {
                let clickParamsStr = JSON.stringify({
                    SpuID: Number(item.SpuInfo.SpuID),
                    ShopID: Number(item.SpuInfo.ShopID)
                });
                let spu = item.SpuInfo;
                if (spu) {
                    var showEasyBuy = false;
                    var showFruitGuarantee = false;
                    if (spu.hasOwnProperty('Tags')) {
                        if (spu.Tags.hasOwnProperty('3')) {
                            showEasyBuy = true;
                        }
                        if (spu.Tags.hasOwnProperty('20')) {
                            showFruitGuarantee = true;
                        }
                    }
                    let showSpuDesc = spu.hasOwnProperty('SpuDescription');
                    let item = {
                        id: spu.SpuID,
                        title: spu.Title,
                        image: CommonBusinessScripts.spuImage(spu),
                        minPrice: spu.MinPrice / 100,
                        price: spu.MinPrice / 100,
                        marketPrice: spu.MarketPrice / 100,
                        clickParams: clickParamsStr,
                        showSpuDesc,
                        showEasyBuy,
                        showFruitGuarantee,
                        spuDesc: spu.SpuDescription
                    };
                    if (item.hasOwnProperty('ItemHeadInfo')) {
                        item['spuLogo'] = item.ItemHeadInfo.Logo;
                    }
                    items.push(item);
                }
            });
        }
        return JSON.stringify(items);
    }
}